%bcond_with doc_pdf

Summary:        Persistent/Functional/Immutable data structures
Name:           python-pyrsistent
Version:        0.19.3
Release:        1%{?dist}
License:        MIT AND BSD-3-Clause
URL:            https://github.com/tobgu/pyrsistent
Source0:        %{url}/archive/v%{version}/pyrsistent-%{version}.tar.gz

BuildRequires:  python3-devel gcc

%if %{with doc_pdf}
BuildRequires:  make python3-sphinx-latex latexmk
%endif
BuildRequires:  python3dist(pytest-runner) python-setuptools

%description
Pyrsistent is a number of persistent collections (by some referred to as
functional data structures). Persistent in the sense that they are
immutable

%package -n     python3-pyrsistent
Summary:        Persistent/Functional/Immutable data structures

%description -n python3-pyrsistent 
Pyrsistent is a number of persistent collections (by some referred to as
functional data structures). Persistent in the sense that they are
immutable

%package        doc
Summary:        Documentation for pyrsistent
BuildArch:      noarch

%description doc
Pyrsistent is a number of persistent collections (by some referred to as
functional data structures). Persistent in the sense that they are
immutable


%prep
%autosetup -n pyrsistent-%{version}

# remove unused modules
sed -r \
    -e 's/==/>=/' \
    -e '/\b(memory-profiler|psutil|pyperform|tox|twine)\b/d' \
    -e '/\bhypothesis\b/d' \
    requirements.txt | tee requirements-filtered.txt


%generate_buildrequires
%pyproject_buildrequires requirements-filtered.txt


%build
%pyproject_wheel

%if %{with doc_pdf}
PYTHONPATH="${PWD}" %make_build -C docs latex SPHINXOPTS='-n %{?_smp_mflags}'
%make_build -C docs/build/latex LATEXMKOPTS='-quiet'
%endif


%install
%pyproject_install
%pyproject_save_files pyrsistent _pyrsistent_version pvectorc


%check
# do not run hypothesis tests
%pytest --ignore tests/hypothesis_vector_test.py
%pytest --doctest-modules pyrsistent


%files -n python3-pyrsistent -f %{pyproject_files}

%files doc
%license LICENSE.mit
%doc CHANGES.txt README.rst
%if %{with doc_pdf}
%doc docs/build/latex/Pyrsistent.pdf
%endif

%changelog
* Tue Sep 26 2023 Shuo Wang <abushwang@tencent.com> - -1
- update to

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19.2-7
- Rebuilt for python 3.11

* Fri Sep 15 2023 jackeyji <jackeyji@tencent.com> - 0.19.2-6
- add buildrequires python-setuptools

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19.2-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19.2-3
- Rebuilt for OpenCloudOS Stream 23

* Tue Feb 21 2023 Shuo Wang <abushwang@tencent.com> - 0.19.2-2
- remove unused buildrequires

* Wed Dec 7 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.19.2-1
- package init.

